Package com.destroystokyo.paper.event.server

# Enum Class GS4QueryEvent.QueryType

java.lang.Object
java.lang.Enum<GS4QueryEvent.QueryType>
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryType

All Implemented Interfaces:
  `Serializable`, `Comparable<GS4QueryEvent.QueryType>`, `Constable`

Enclosing class:
  GS4QueryEvent

public static enum GS4QueryEvent.QueryType extends Enum<GS4QueryEvent.QueryType>
The type of query

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC`
Basic query asks only a subset of information, such as motd, game type (hardcoded to
`FULL`
Full query asks pretty much everything present on this event (only hardcoded values cannot be modified here).

## Method Summary

Modifier and Type
Method
Description
`static GS4QueryEvent.QueryType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GS4QueryEvent.QueryType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC

public static final GS4QueryEvent.QueryType BASIC
Basic query asks only a subset of information, such as motd, game type (hardcoded to

    MINECRAFT

), map, current players, max players, server port and server motd

### FULL

public static final GS4QueryEvent.QueryType FULL
Full query asks pretty much everything present on this event (only hardcoded values cannot be modified here).

## Method Details

### values

public static GS4QueryEvent.QueryType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GS4QueryEvent.QueryType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null